﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using Telerik.Windows.Controls;

namespace ListBoxWIthTextBoxTest
{
    public class ViewModel : ViewModelBase
    {
        private ObservableCollection<Item> items;

        public ViewModel()
        {
            var innerItems = new ObservableCollection<Item>()
            {
                new Item() { Name = "Inner item 1", Id = 1 },
                new Item() { Name = "Inner item 2", Id = 2 },
                new Item() { Name = "Inner item 3", Id = 3 },
                new Item() { Name = "Inner item 4", Id = 4 },
                new Item() { Name = "Inner item 5", Id = 5 }
            };
            this.items = new ObservableCollection<Item>()
            {
                new Item() { Name = "Item 1", Id = 1, InnerItems = innerItems },
                new Item() { Name = "Item 2", Id = 2, InnerItems = innerItems },
                new Item() { Name = "Item 3", Id = 3, InnerItems = innerItems },
                new Item() { Name = "Item 4", Id = 4, InnerItems = innerItems },
                new Item() { Name = "Item 5", Id = 5, InnerItems = innerItems }
            };
        }

        /// <summary>
        /// Gets or sets Items and notifies for changes
        /// </summary>
        public ObservableCollection<Item> Items
        {
            get
            {
                return this.items;
            }

            set
            {
                if (this.items != value)
                {
                    this.items = value;
                    this.OnPropertyChanged(() => this.Items);
                }
            }
        }
    }
}
